import { InputConfig as Config, Field, FieldType, FieldEvent, StylesTuple } from './types';
type Options = Omit<Field, 'element' | 'type'>;
type EventListener = (event: FieldEvent['type'], callback: (...args: any[]) => void) => void;
declare class SecureInput {
    frameUrl: string;
    parentOrigin: string;
    frame: HTMLIFrameElement;
    type: FieldType;
    options: Options;
    addEventListener: EventListener;
    removeEventListener: EventListener;
    constructor(config?: Config);
    _postMessage(message: {
        type: string;
        data: Options & {
            styles: StylesTuple;
            type?: string;
        };
    }): void;
    update(data: Options): void;
    setPlaceholder(placeholder: Options['placeholder']): void;
    setStyles(styles: Options['styles']): void;
}
export { SecureInput };
